<?php session_start();?>
<?php include('php_gene1.php'); ?>
<?php include('../_cfg/config.php');?>
<?php include('php_session.php');?>
<?php



$jwib_sql='select * from user0 where user_codigo="'.$_SESSION['user_codigo'].'"';
$jwib_res=msql_query($jwib_sql,$link_vcrx);

$acce=msql_result($jwib_res,0,'user_acce');
$vida=msql_result($jwib_res,0,'user_vida');
$mmae=msql_result($jwib_res,0,'user_mmae');
$dpub=msql_result($jwib_res,0,'user_dpub');
$estu=msql_result($jwib_res,0,'user_estu');
$reun=msql_result($jwib_res,0,'user_estu');
$asig=msql_result($jwib_res,0,'user_asig');
$asem=msql_result($jwib_res,0,'user_asem');
$vari=msql_result($jwib_res,0,'user_vari');

$full=false;
$invi=false;

if(mb_stristr('sist.admi',$_SESSION['user_tipo']))
{$full=true;}

if(mb_stristr('invi',$_SESSION['user_tipo']))
{$invi=true;}



$idnum = $_POST['idnum'];
$docu = $_POST['docu'];
$nom1 = $_POST['nom1'];
$nom2 = $_POST['nom2'];
$nom3 = $_POST['nom3'];
$nom4 = $_POST['nom4'];
$bsqj = $_POST['bsqj'];
$cong = $_POST['cong'];
$dpud = $_POST['dpud'];
$dpuh = $_POST['dpuh'];

echo '****'.$bsqj;
if (mb_stristr('DPU1.DPU2',$docu))
{  
  if($full or $dpub==1)
  {
    $updt_sql='update jwib1 set ';  
    $updt_sql.='bsqj="'.$bsqj.'",';  
    $updt_sql.='nombre1="'.$nom1.'",';  
    $updt_sql.='status=status ';  
    $updt_sql.=' where idnum1="'.$idnum.'"';  
    $updt_res=msql_query($updt_sql,$link_vcrx);
    
    echo $updt_sql;
    echo msql_error();

    $updt_sql='select * from jwib11 where idnum1="'.$idnum.'"';
    $updt_res=msql_query($updt_sql,$link_vcrx);
    $anior=msql_result($updt_res,0,'fanior');
    $mesr=msql_result($updt_res,0,'fmesr');

    if($cong!='')
    {
      $sema_sql='select * from jwib11 where docu="'.$docu.'" and concat(fanior,fmesr)="'.$anior.$mesr.'"';
      $sema_res=msql_query($sema_sql,$link_vcrx);

      while($updt_aso=msql_fetch_assoc($sema_res))
      {
        $updt_sql='update jwib1 set ';  
        $updt_sql.='cong2_descri="'.$cong.'",';  
        $updt_sql.='cong2_dpud="'.$dpud.'",';  
        $updt_sql.='cong2_dpuh="'.$dpuh.'",';  
        $updt_sql.='status=status ';  
        $updt_sql.=' where  ';
      //   $updt_sql.=' jwib1.idnum1 in(select idnum1 from jwib11 where concat(fanior,fmesr)="'.$anior.$mesr.'")';
      //   $updt_sql.=' idnum1 in(select idnum1 from jwib1 where concat(date_format(fechar,"%Y"),date_format(fechar,"%m"))="'.$anior.$mesr.'")';
        $updt_sql.=' idnum1=  '.$updt_aso['idnum1'];
        $updt_res=msql_query($updt_sql,$link_vcrx);
        echo $updt_sql;
      }
    }
  }
}

if (mb_stristr('ASEM',$docu))
{
  if($full or $asem==1)  
  {
    $updt_sql='update jwib1 set ';  
    $updt_sql.='nombre1="'.$nom1.'",';  
    $updt_sql.='nombre2="'.$nom2.'",';  
    $updt_sql.='nombre3="'.$nom3.'",';  
    $updt_sql.='nombre4="'.$nom4.'",';  
    $updt_sql.='status=status ';  
    $updt_sql.=' where idnum1="'.$idnum.'"';  
    $updt_res=msql_query($updt_sql,$link_vcrx);

//     $updt_sql='select * from jwib11 where idnum1="'.$idnum.'"';
//     $updt_res=msql_query($updt_sql,$link_vcrx);
//     $docu=msql_result($updt_res,0,'docu');
//     $fanio=msql_result($updt_res,0,'fanio');
//     $fmes=msql_result($updt_res,0,'fmes');
//     $fecha1=msql_result($updt_res,0,'fecha');
//     $fecha2 = date('Y-m-t', strtotime("+1 months", strtotime($fecha1)));    

    if($docu=="AS10")
    {
    $updt_sql='update jwib1 set ';  
    $updt_sql.='nombre1="'.$nom1.'",';  
    $updt_sql.='status=status ';  
    $updt_sql.=' where docu="" ';  
//     $updt_sql.=' and (nombre1="" or nombre1 is null) ';  
    $updt_sql.=' and fecha>="'.$fecha1.'"';  
    $updt_sql.=' and fecha<="'.$fecha2.'"';  
//     $updt_res=msql_query($updt_sql,$link_vcrx);
    }
// echo $updt_sql;
    
  }
}


if (mb_stristr('ESTU',$docu))
{
  if($full or $estu==1)  
  {
    $updt_sql='update jwib1 set ';  
    $updt_sql.='nombre1="'.$nom1.'",';  
    $updt_sql.='nombre2="'.$nom2.'",';  
    $updt_sql.='status=status ';  
    $updt_sql.=' where idnum1="'.$idnum.'"';  
    $updt_res=msql_query($updt_sql,$link_vcrx);

    $updt_sql='select * from jwib11 where idnum1="'.$idnum.'"';
    $updt_res=msql_query($updt_sql,$link_vcrx);
    $docu=msql_result($updt_res,0,'docu');
    $fanio=msql_result($updt_res,0,'fanio');
    $fmes=msql_result($updt_res,0,'fmes');
    $fecha1=msql_result($updt_res,0,'fecha');
    $fecha2 = date('Y-m-t', strtotime("+1 months", strtotime($fecha1)));    

    if($docu=="EATA")
    {
    $updt_sql='update jwib1 set ';  
    $updt_sql.='nombre1="'.$nom1.'",';  
    $updt_sql.='status=status ';  
    $updt_sql.=' where docu="EATA" ';  
//     $updt_sql.=' and (nombre1="" or nombre1 is null) ';  
    $updt_sql.=' and fecha>="'.$fecha1.'"';  
    $updt_sql.=' and fecha<="'.$fecha2.'"';  
    $updt_sql.=' and cong='.$_SESSION['cong_codigo'];  
    $updt_res=msql_query($updt_sql,$link_vcrx);
    }
// echo $updt_sql;
    
  }
}

if (mb_stristr('REUN',$docu))
{
  if($full or $reun==1)  
  {
    $updt_sql='update jwib1 set ';  
    $updt_sql.='conteo="'.$nom1.'",';  
    $updt_sql.='status=status ';  
    $updt_sql.=' where idnum1="'.$idnum.'"';  
    $updt_res=msql_query($updt_sql,$link_vcrx);

//     $updt_sql='select * from jwib11 where idnum1="'.$idnum.'"';
//     $updt_res=msql_query($updt_sql,$link_vcrx);
//     $docu=msql_result($updt_res,0,'docu');
//     $fanio=msql_result($updt_res,0,'fanio');
//     $fmes=msql_result($updt_res,0,'fmes');
//     $fecha1=msql_result($updt_res,0,'fecha');
//     $fecha2 = date('Y-m-t', strtotime("+1 months", strtotime($fecha1)));    

//     if($docu=="EATA")
//     {
//     $updt_sql='update jwib1 set ';  
//     $updt_sql.='nombre1="'.$nom1.'",';  
//     $updt_sql.='status=status ';  
//     $updt_sql.=' where docu="EATA" ';  
// //     $updt_sql.=' and (nombre1="" or nombre1 is null) ';  
//     $updt_sql.=' and fecha>="'.$fecha1.'"';  
//     $updt_sql.=' and fecha<="'.$fecha2.'"';  
//     $updt_sql.=' and cong='.$_SESSION['cong_codigo'];  
//     $updt_res=msql_query($updt_sql,$link_vcrx);
//     }
// echo $updt_sql;
    
  }
}


if (mb_stristr('VIDA',$docu))
{
  if($full or $vida==1)
  {
    $updt_sql='update jwib1 set ';  
    $updt_sql.='nombre1="'.$nom1.'",';  
    $updt_sql.='nombre2="'.$nom2.'",';  
//     $updt_sql.='nombre3="'.$nom3.'",';  
//     $updt_sql.='nombre4="'.$nom4.'",';  
    $updt_sql.='status=status ';  
    $updt_sql.=' where idnum1="'.$idnum.'"';  
    $updt_res=msql_query($updt_sql,$link_vcrx);

    $updt_sql='update jwib1 set ';  
    $updt_sql.='nombre2="",';  
    $updt_sql.='status=status ';  
    $updt_sql.=' where idnum1="'.$idnum.'" and docu="VM11"';  
//     $updt_res=msql_query($updt_sql,$link_vcrx);
  
  }
}

if (mb_stristr('MMAE',$docu))
{
  if($full or $mmae==1)  
  {
    $updt_sql='update jwib1 set ';  
    $updt_sql.='nombre1="'.$nom1.'",';  
    $updt_sql.='nombre2="'.$nom2.'",';  
    $updt_sql.='orat="'.$bsqj.'",';  
    $updt_sql.='status=status ';  
    $updt_sql.=' where idnum1="'.$idnum.'"';  
    $updt_res=msql_query($updt_sql,$link_vcrx);

    $updt_sql='update jwib1 set ';  
    $updt_sql.='nombre2="",';  
    $updt_sql.='status=status ';  
    $updt_sql.=' where idnum1="'.$idnum.'" and docu="VM30"';  
    $updt_res=msql_query($updt_sql,$link_vcrx);
  }
}



if (mb_stristr('VARI',$docu))
{
  if($full or $vari==1)
  {
    $updt_sql='insert into jwiv1(docu,cong,iuser,idate,status) ';  
    $updt_sql.='value("VARI","'.$_SESSION['cong_codigo'].'","'.$_SESSION['user_codigo'].'",now(),"-")';  
    $updt_res=msql_query($updt_sql,$link_vcrx);
//     echo $updt_sql;
    $updt_sql='select * from jwiv1 where cong="'.$_SESSION['cong_codigo'].'" order by idnum1 desc limit 1';  
    $updt_res=msql_query($updt_sql,$link_vcrx);
    $idnum=msql_result($updt_res,0,'idnum1');
    
    $updt_sql='update jwiv1 set ';  
    $updt_sql.='numero=idnum1,';  
    $updt_sql.='fecha="'.$nom1.'",';  
    $updt_sql.='concepto="'.$nom2.'",';  
    $updt_sql.='caduca="'.$bsqj.'",';  
    $updt_sql.='status=status ';  
    $updt_sql.=' where idnum1="'.$idnum.'"';  
    $updt_res=msql_query($updt_sql,$link_vcrx);
    
  }
}





?>
